Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

SAP Groups APIs

Viewing SAP Groups Added to CipherTrust Manager

search

Please Note:

Viewing SAP Groups Added to CipherTrust Manager

Use the get /v1/cckm/sap/groups API to view the list of SAP groups added to the CipherTrust Manager.

Syntax

curl -k '<IP>/api/v1/cckm/sap/groups?skip=0&limit=10&sort=updatedAt' -H 'Authorization: AUTHTOKEN' --compressed

Request Parameter

ParameterTypeDescription
AUTHTOKENstringAuthentication token.

Request Query Parameters

ParameterTypeDescription
idstringResource ID of the SAP group.
namestringName of the SAP group.
connectionstringName or ID of the connection.
cloud_namestringName of the cloud.
group_idstringID of the SAP group.
applicationstringType of the SAP application, for example, HANA.
tierstringName of the service tier.
regionstringCountry/region of the SAP group.
providerstringName of the API provider.
key_store_namestringName of the KeyStore file.
creator_namestringName of the person who created the SAP group.
tenantstringName of the SAP tenant.
skipintegerNumber of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limitintegerNumbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in skip parameter) will be displayed in the output.
sortstringComma-delimited list of properties to sort the results.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sap/groups?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJmMDYzMTBmYy02NGVhLTQ4OTgtYmI3Mi05YTIwYzBkOTUxYzIiLCJzdWIiOiJsb2NhbHxmYzg2MjhkMC1mNjczLTRhMWYtYjQ3Yi1hM2I0ODVhMWU3OTQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiYzk4YzkyZTUtMjM0OS00YzU5LWJlZWYtODc2OTQ4ZjIwNzM0Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjMxYTRmM2ZkLTA0MzgtNDRlNy05Y2YwLTE4NGYzZDM1MmZlOSIsImlhdCI6MTYzMzMyMjgwMiwiZXhwIjoxNjMzMzIzMTAyfQ.467fIAet0yGzIjUDIZVIFbhvKegE5i5POT21XStzCdw' --compressed

Example Response

{
    "skip": 0,
    "limit": 10,
    "total": 2,
    "resources": [
        {
            "id": "94596874-b882-46a0-84eb-20e88abaec4b",
            "uri": "kylo:kylo:cckm:sap-group:94596874-b882-46a0-84eb-20e88abaec4b",
            "account": "kylo:kylo:admin:accounts:kylo",
            "createdAt": "2021-11-23T10:17:45.400627Z",
            "updatedAt": "2021-11-23T10:17:45.398725Z",
            "name": "Gooey_1",
            "group_id": "489ac34d-3e9c-4be3-8c1c-2c383bf31461",
            "sap_application": "S4H",
            "description": "group for gooey team",
            "keystore_id": "1e40864c-1b58-44b1-8654-a3a893705fb3",
            "connection": "UI_SAP_CONNECTION",
            "cloud_name": "sap",
            "keystore_name": "esk-amer",
            "provider": "ESK",
            "region": "amer",
            "tier": "PREMIUM",
            "tenant": "thales-preprod",
            "meta": {
                "created": "2021-09-17T04:44:16",
                "creator_id": "69f41156-5197-490d-aa5f-f1ffb0ab4e66",
                "creator_name": "creator.name@xyz.com"
            }
        },
        {
            "id": "378704a1-3932-4382-acf9-20a14afef093",
            "uri": "kylo:kylo:cckm:sap-group:378704a1-3932-4382-acf9-20a14afef093",
            "account": "kylo:kylo:admin:accounts:kylo",
            "createdAt": "2021-11-23T10:17:45.764027Z",
            "updatedAt": "2021-11-23T10:17:45.756808Z",
            "name": "Gooey_2",
            "group_id": "55ab04df-7f5c-4c14-a64a-5a638a312ed7",
            "sap_application": "S4H",
            "description": "group for gooey team",
            "keystore_id": "1e40864c-1b58-44b1-8654-a3a893705fb3",
            "connection": "UI_SAP_CONNECTION",
            "cloud_name": "sap",
            "keystore_name": "esk-amer",
            "provider": "ESK",
            "region": "amer",
            "tier": "PREMIUM",
            "tenant": "thales-preprod",
            "meta": {
                "created": "2021-09-17T04:45:14",
                "creator_id": "69f41156-5197-490d-aa5f-f1ffb0ab4e66",
                "creator_name": "creator.name@xyz.com"
            }
        }
    ]
}

The sample output shows the list of SAP groups added to the CipherTrust Manager.

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.